--- /dev/null	Wed Apr  1 15:57:38 2015
+++ new/usr/src/pkg/manifests/library-zlib.mf	Wed Apr  1 15:57:38 2015
@@ -0,0 +1,60 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright 2015 Gary Mills
+# Copyright (c) 2011, 2015, Oracle and/or its affiliates. All rights reserved.
+#
+
+set name=pkg.fmri \
+    value=pkg:/library/zlib@1.2.8,$(PKGVERS_BUILTON)-$(PKGVERS_BRANCH)
+set name=pkg.description value="the zip compression library"
+set name=pkg.summary value="The Zip compression library"
+set name=info.classification \
+    value=org.opensolaris.category.2008:System/Libraries
+set name=variant.arch value=$(ARCH)
+#
+dir path=lib
+dir path=usr group=sys
+dir path=usr/include
+dir path=usr/lib
+dir path=usr/lib/$(ARCH64)
+dir path=usr/share/man
+dir path=usr/share/man/man3
+file path=lib/$(ARCH64)/libz.so.1
+file path=lib/$(ARCH64)/llib-lz.ln
+file path=lib/libz.so.1
+file path=lib/llib-lz
+file path=lib/llib-lz.ln
+file path=usr/include/zconf.h
+file path=usr/include/zlib.h
+file path=usr/share/man/man3/zlib.3
+#
+license usr/src/lib/zlib/THIRDPARTYLICENSE \
+    license=usr/src/lib/zlib/THIRDPARTYLICENSE
+link path=lib/$(ARCH64)/libz.so target=libz.so.1
+link path=lib/libz.so target=libz.so.1
+link path=usr/lib/$(ARCH64)/libz.so target=libz.so.1
+link path=usr/lib/$(ARCH64)/libz.so.1 target=../../../lib/$(ARCH64)/libz.so.1
+link path=usr/lib/$(ARCH64)/llib-lz.ln \
+    target=../../../lib/$(ARCH64)/llib-lz.ln
+link path=usr/lib/libz.so target=./libz.so.1
+link path=usr/lib/libz.so.1 target=../../lib/libz.so.1
+link path=usr/lib/llib-lz.ln target=../../lib/llib-lz.ln
+link path=usr/share/man/man3/libz.3 target=zlib.3
